Requires read_product_listings access scope.
For more info, refer to:
GET https://{handle}.myshopline.com/admin/openapi/v20270301/product_listings/:product_listing_id.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .
Get a specified product on the current sales channel.
Path Parameters
  • product_listing_id string required
    The unique identifier for the product.
    Maximum length: 64
    Example: 16049619743346320200470282
Request Headers
  • Content-Type string required
    The field must be set to the fixed value application/json; charset=utf-8.
  • Authorization string required
    The access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.
    Example:
    Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Status Codes
For the complete list of codes and messages, see Http status code.

Response Headers
  • traceId
    A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
  • product_listingobject
    Product information.
  • body_html string
    The product description.
    Example: This is a description
  • created_at string
    The date and time when the product was created. Format: ISO 8601.
    Example: 2025-03-06T02:20:26+08:00
  • handle string
    The semantically unique identifier for the product, which is generated based on title by default.
    Example: product-handle
  • imagesobject[]
    A list of product images.
  • alt string
    The alternative textual description of the product image, usually a word or phrase with the characteristics or content of the image.
    Example: This is an image alt.
  • src string
    The link to the product image, represented as a URL.
    Example: https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png
  • optionsobject[]
    A list of product options.
  • id string
    The unique identifier for the option.
    Example: 16158068291703878544960282
  • name string
    The name of the option.
    Example: Color
  • product_id string
    The unique identifier for the product corresponding to the option.
    Example: 16057850264845250791280282
  • values array
    A list of option values.
    Example: ["red","green","white"]
  • values_images map
    The mapping relationship between the option value and the corresponding image URL.
    Example: {"red":"https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"}
  • product_id string
    The unique identifier for the product.
    Example: 16057850264845250791280282
  • published_at string
    The date and time when the product was published to the online store. Format: ISO 8601.
    Example: 2025-03-06T02:20:26+08:00
  • published_scope string
    The sales channel scope to which the product is published. The value of this parameter is fixed to web, indicating an online store.
  • spu string
    The identifier customized for the product by the merchant.
    Example: S00000001
  • status string
    The status of the product. Valid values are:
    • active: Published
    • draft: Unpublished
    • archived: Archived
  • subtitle string
    The summary of the product.
    Example: This is a subtitle
  • tags string
    A list of tags of the product.
    Example: tag1, tag2
  • template_path string
    The file path of the theme template for the product details page.
    Example: templates/product.product_template_name.json
  • title string
    The name of the product.
    Example: This is a product name
  • unlisted boolean
    Whether the product is unlisted.
    • true: The product is unlisted. The product is hidden from all public storefront channels and search results, but remains accessible via its direct URL.
    • false: The product is listed. The product is displayed and searchable across all storefront channels as normal.
  • updated_at string
    The date and time when the product was last updated. Format: ISO 8601.
    Example: 2025-03-06T02:20:26+08:00
  • variantsobject[]
    A list of product variants.
  • barcode string
    The barcode of the variant.
    Example: T00000001
  • compare_at_price string
    The original price of the variant. The value is rounded to two decimal places.
    Example: 129.99
  • id string
    The unique identifier for the variant.
    Example: 18057039439794751459380282
  • imageobject
    The image of the variant.
  • alt string
    The alternative textual description of the variant image, usually a word or phrase with the characteristics or content of the image.
    Example: This is an image alt.
  • src string
    The link to the variant image, represented as a URL.
    Example: https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png
  • inventory_item_id string
    The unique identifier for the inventory item.
    Example: 59854602422372317075
  • inventory_policy string
    The overselling policy for the variant. Valid values are:
    • deny: Overselling is not allowed.
    • continue: Overselling is allowed.
  • inventory_quantity integer
    The total inventory quantity at all storage locations.
    Example: 99
  • inventory_tracker boolean
    Indicates whether the inventory tracking is enabled.
    • true: Inventory tracking is enabled.
    • false: Inventory tracking is not enabled.
  • option1 string
    Information of the first option of the variant.
    Example: red
  • option2 string
    Information of the second option of the variant.
    Example: xl
  • option3 string
    Information of the third option of the variant.
    Example: cotton
  • option4 string
    Information of the fourth option of the variant.
    Example: short
  • option5 string
    Information of the fifth option of the variant.
    Example: casual
  • price string
    The selling price of the variant. The value is rounded to two decimal places.
    Example: 90.22
  • product_id string
    The unique identifier for the product corresponding to the variant.
    Example: 16057039432335097907370282
  • required_shipping boolean
    Indicates whether the variant requires shipping.
    • true: Shipping is required.
    • false: Shipping is not required.
  • sku string
    The identifier customized for the product variant by the merchant.
    Example: S00000001
  • taxable boolean
    Indicates whether the variant is subject to tax.
    • true: Tax is required.
    • false: Tax is not required.
  • title string
    The name of the variant, concatenated from its option values.
    Example: red · xl
  • weight string
    The weight of the variant. The value is rounded to two decimal places.
    Example: 0.23
  • weight_unit string
    The unit of weight for the variant. Valid values are:
    • g: gram
    • kg: kilogram
    • lb: pound
    • oz: ounce
    • zh_kg: kilogram
  • vendor string
    The brand or vendor of the product.
    Example: SHOPLINE
API Explorer
https://openapiceshidianpu.myshopline.com/admin/openapi/v20270301

ParamOptions

path required
header required

Language

curl --request GET \
--url https://openapiceshidianpu.myshopline.com/admin/openapi/v20270301/product_listings/product_listing_id.json \
--header 'Authorization: Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA' \
--header 'Content-Type: application/json; charset=utf-8' \
--header 'accept: application/json'
Examples
Get a specified product on a sales channel
Response
{
"product_listing": {
"body_html": "<p>This is a description</p>",
"created_at": "2023-08-28T11:45:53+08:00",
"handle": "my-product-15",
"images": [
{
"alt": "This is an alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
}
],
"options": [
{
"id": "16160878853605069127763144",
"name": "Size",
"product_id": "16060878853599197112313144",
"values": [
"L",
"XL",
"XXL"
],
"values_images": {}
},
{
"id": "16160878853605069127793144",
"name": "Color",
"product_id": "16060878853599197112313144",
"values": [
"White"
],
"values_images": {}
}
],
"product_id": "16060878853599197112313144",
"published_at": "2023-08-28T11:45:53+08:00",
"published_scope": "web",
"spu": "S000000001",
"status": "active",
"subtitle": "This is a subtitle",
"tags": "Spring,T shirt",
"template_path": "templates/products/detail.html",
"title": "My Product 15",
"updated_at": "2023-08-28T19:19:05+08:00",
"variants": [
{
"barcode": "T00000001",
"compare_at_price": "120.00",
"id": "18060878853605069127743144",
"image": {
"alt": "This is an alt",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"inventory_item_id": "6087885361949712083",
"inventory_policy": "continue",
"inventory_quantity": 580,
"inventory_tracker": true,
"option1": "L",
"option2": "White",
"price": "100.00",
"product_id": "16060878853599197112313144",
"required_shipping": true,
"sku": "S00000000101",
"taxable": true,
"title": "L · White",
"weight": "10.00",
"weight_unit": "g"
},
{
"barcode": "B0000000001",
"compare_at_price": "120.00",
"id": "18060878853605069127833144",
"image": {
"alt": "My Product-10",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"inventory_item_id": "6087885361949712081",
"inventory_policy": "deny",
"inventory_quantity": 100,
"inventory_tracker": true,
"option1": "XL",
"option2": "White",
"price": "100.00",
"product_id": "16060878853599197112313144",
"required_shipping": true,
"sku": "S00000000102",
"taxable": true,
"title": "XL · White",
"weight": "50.00",
"weight_unit": "g"
},
{
"barcode": "B0000000001",
"compare_at_price": "120.00",
"id": "18060878853605069127893144",
"image": {
"alt": "My Product-10",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
"inventory_item_id": "6087885361949712082",
"inventory_policy": "deny",
"inventory_quantity": 170,
"inventory_tracker": true,
"option1": "XXL",
"option2": "White",
"price": "100.00",
"product_id": "16060878853599197112313144",
"required_shipping": true,
"sku": "S00000000103",
"taxable": true,
"title": "XXL · White",
"weight": "50.00",
"weight_unit": "g"
}
],
"vendor": "Shopline"
}
}
Was this article helpful to you?